org.gcube.dataanalysis.dataminer.poolmanager.ansiblebridge.template

## Class TemplateManager

- java.lang.Object
- - org.gcube.dataanalysis.dataminer.poolmanager.ansiblebridge.template.TemplateManager

    public class TemplateManager
    extends Object

### Constructor Summary

Constructors
Constructor and Description
`TemplateManager()`

### Method Summary

All Methods Instance Methods Concrete Methods
`Role` `fillRoleTemplate(Role template, Map<String,String> dictionary)`
`Role` `getRoleTemplate(String roleName)`
`String` `getTemplateRoot()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### TemplateManager

    public TemplateManager()

### Method Detail

#### getTemplateRoot

    public String getTemplateRoot()

#### fillRoleTemplate

    public Role fillRoleTemplate(Role template,
                                 Map<String,String> dictionary)

#### getRoleTemplate

    public Role getRoleTemplate(String roleName)
                         throws NoSuchElementException

Throws:
  `NoSuchElementException`